Subject: RE: bug#45443: 28.0.50; Can't find definition of compilation--message->loc

From: Drew Adams <[email-masked]>
Date: Sat, 26 Dec 2020 10:58:21 -0800 (PST)

> It's a general problem with uses of cl-defstruct and similar
> constructs: they generate functions and macros that the Help functions
> are unable to find.

Yep.  It's a big doc/help problem, IMO.  And
we've moved more and more stuff to things like
`cl-defstruct' (which in itself is fine).

I don't see a good general solution to this
problem.  But it is, I think, something
important for the quintessential
"self-documenting" editor.  I truly hope that
some smart and ambitious hacker tackles this.